void IO_Ctrl(){
  //Leitura do sensor de temperatura (termopar)
  //Habilitar o código abaixo para Usar termopar
  if (Sensor1.update()) {
    INP_Raw_temp = Sensor1.getData();
  }
   INP_Calib_temp = map(INP_Raw_temp, 8387370, 8388472, 39, 270);//Calibrar sensor

  //Leitura do sensor de temperatura (NTC)
  //Habilitar o código abaixo para Usar NTC
  //INP_Raw_temp = analogRead(AV3);
  //INP_Calib_temp = map(INP_Raw_temp, 500, 1500, 200, 1000);//Calibrar sensor
  
  //Implementação do filtro média móvel
  for (int i = 0; i < (amostras - 1); i++) {
    leituras[i] = leituras[i + 1];
  }
  leituras[amostras - 1] = INP_Calib_temp;
  soma = 0;
  for (int i = 0; i < amostras; i++) {
    soma = (soma + leituras[i]);
  }
  INP_Act_temp = (soma / amostras);

  //Saída analógica para PID
  ledcWrite(ledChannel1, int(OUT_PID_Output));

  //Saídas digitais
  digitalWrite(pin_Y1, OUT_Buzzer);
  digitalWrite(pin_Y2, OUT_Luz);
  digitalWrite(pin_Y3, OUT_Resistencia);

  //Serial para debug
  //Serial.print(INP_Raw_temp);
  //Serial.print(" / ");
  //Serial.println(INP_Calib_temp);
}
